body{
    
    background-image: url(../images/35326d0e-2d14-49cf-93fe-b7b27a322759.jpg);
    background-size: cover;

    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #3a3535;
    user-select:none;
    
}


.container{

    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding: 40px, 60px;
}

h2{
    font-size: 3em;
    border-top-right-radius: 10%;
    color:  #333;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    border-style:groove;
    border-radius: 5rem;
    background: rgba(0,0,0, 0.9);
}

.reset{
    padding: 15px 20px;
    width: 100%;
    color: #000;
    background-color: #5f1e21;
    border: none;
    font-size: 1.5em;
    text-transform: uppercase;
    cursor: url(../images/cursor.png), auto;
    font-weight: 600;
}

.reset:focus{
    color: red;
    background-color:#000;
}

.game{
   
    width: 430px;
    height: 430px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    transform-style: preserve-3d;
    perspective: 500px;
}

.item{
    position: relative;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;

    font-size: 3em;
    transform:  rotateY(180deg);
    transition: 0.25s;
}

.item::after{
    content: "";
    position: absolute;
    inset: 0;
    background-image: url(../images/FrotLoveCraft.webp);
    /* opacity: 0.85; */
    transition: 0.25s;
    transform: rotateY(0deg);
    backface-visibility: hidden;
}


.item.boxOpen{
    transform: rotateY(0deg);
}

.boxOpen::after,
.boxMatch::after{
    transform: rotateY(180deg);
}

/* Media queries */
@media screen and (max-width: 600px) {
    /* Ajustes específicos para telas menores (exemplo: smartphones) */
    .game {
        max-width: 80%; /* Reduza o tamanho do jogo */
    }

    h2{
        font-size:2em;
    }

    .item {
        gap: 70%;
        height: auto;
        flex-direction: column;
   
        width: calc(50% - 100px); /* 2 itens por linha */
    }
}